use taoc2023::problems::*;
use taoc2023::utils::timeit;

fn main() -> Result<(), String> {
    println!("== day 01 ==");
    timeit(|| -> Result<(), String> {
        let (a, b) = day01::solution(day01::inputs::INPUT)?;
        println!("solution: {a}, {b}");
        Ok(())
    })?;
    println!("== day 02 ==");
    timeit(|| -> Result<(), String> {
        let (a, b) = day02::solution(day02::inputs::INPUT)?;
        println!("solution: {a}, {b}");
        Ok(())
    })?;
    Ok(())
}
